%define modname sqlite3
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 53_%{modname}.ini

Summary:	SQLite3 database bindings for PHP
Name:		php-sqlite3
Version:	0.5
Release:	%mkrel 7
Group:		Development/PHP
License:	BSD-like
URL:		php-sqlite3.sourceforge.net/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/php-sqlite3/sqlite3-%{version}.tgz
Source1:	%{modname}.ini
Requires:	php-cli >= 3:5.2.0
BuildRequires:	sqlite3-devel >= 3.1
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
php-sqlite3 is a PHP extension that lets you access SQLite3 databases (see :
http://www.sqlite3.org) within your scripts. PHP 4 and PHP 5 have already
built-in support for this RDBM, but this is limited to the 2.x releases. This
extension adds support for SQLite 3.x release. 

%prep

%setup -q -n sqlite3-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" *.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

install -d %{buildroot}%{_datadir}/pear/DB
install -m0644 DB/sqlite3.php %{buildroot}%{_datadir}/pear/DB/sqlite3.php

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog COPYING README examples/* package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_datadir}/pear/DB/sqlite3.php


%changelog
* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdv2008.1
+ Revision: 162154
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdv2008.1
+ Revision: 107719
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-5mdv2008.0
+ Revision: 77576
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-4mdv2008.0
+ Revision: 39524
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-3mdv2008.0
+ Revision: 33880
- rebuilt against new upstream version (5.2.3)
- rebuilt against new upstream version (5.2.2)

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.0
+ Revision: 18452
- Import php-sqlite3



* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.0
- initial Mandriva package
